#ifndef ANALYZERFSM_H
#define ANALYZERFSM_H

#include "BaseEvbClientFsm.h"

class AnalyzerFsm : public BaseEvbClientFsm
{
    Q_OBJECT
public:
    explicit AnalyzerFsm(QObject *parent = nullptr)
        : BaseEvbClientFsm(parent)
    {}

protected:
    virtual qint64 requestTimeoutMs() const override;
    virtual bool checkAllStates(const FsmState &) const override { return true; }
    virtual bool hasAnyError() const override { return false; }
};

#endif // ANALYZERFSM_H
