#ifndef MPDTLUDEVICE_H
#define MPDTLUDEVICE_H

#include "ModularMregDevice.h"
#include "ModularDeviceStatus.h"

class MpdTluDevice : public ModularMregDevice
{
    Q_OBJECT
public:
    explicit MpdTluDevice(const DeviceIndex &index, QObject *parent = nullptr);
    virtual ~MpdTluDevice() override;

signals:
    void ttlIoStartupCfg(const DeviceIndex &, const TluTtlIoControlConfig &cfg) const;

protected slots:
    virtual void on_deviceConnected() override;

private:
    ModularDeviceStatus statusCache;
};

#endif // MPDTLUDEVICE_H
