#ifndef FELINKCONFIG_H
#define FELINKCONFIG_H

#include <QVector>
#include <QMetaType>

struct FeLinkChConfig
{
    friend bool operator==(const FeLinkChConfig &, const FeLinkChConfig &) = default;

    bool reset = false;
    bool recvTrig = false;
    bool resetSoftPll = false;
    bool remoteReset = false; // [1] - remote GTX reset
};
Q_DECLARE_METATYPE(FeLinkChConfig)

struct FeLinkConfig
{
    friend bool operator==(const FeLinkConfig &, const FeLinkConfig &) = default;

    QVector<FeLinkChConfig> chCfg;
};
Q_DECLARE_METATYPE(FeLinkConfig)

#endif // FELINKCONFIG_H
