#ifndef STATREADOUTMODULE_H
#define STATREADOUTMODULE_H

#include "device-modules/BaseDeviceModule.h"

class StatReadoutConfig;

class StatReadoutModule : public BaseDeviceModule<StatReadoutModule>
{
public:
    explicit StatReadoutModule(const MregBusInterface &bus);

    static QList<AFI_SDB_ID> getSupportedSdbIds();    

    bool writeConfig(const StatReadoutConfig &config);
};

#endif // STATREADOUTMODULE_H
