#ifndef ADCMPDTRIGSPINBOXDELEGATE_H
#define ADCMPDTRIGSPINBOXDELEGATE_H

#include <QItemDelegate>

struct DeviceChModelItem;
class QSpinBox;

class AdcMpdTrigSpinBoxDelegate : public QItemDelegate
{
    Q_OBJECT
public:
    AdcMpdTrigSpinBoxDelegate(QObject *parent = 0);
    QWidget *createEditor(QWidget *parent,
                          const QStyleOptionViewItem &option,
                          const QModelIndex &index) const;
    void setEditorData(QWidget *editor,
                       const QModelIndex &index) const;
    void setModelData(QWidget *editor,
                      QAbstractItemModel *model,
                      const QModelIndex &index) const;
    void updateEditorGeometry(QWidget *editor,
                              const QStyleOptionViewItem &option,
                              const QModelIndex &index) const;

private slots:
    void dataChanged();

private:
    void updateSbByModel(QSpinBox *spinBox,
                         const QModelIndex &index) const;
};

#endif // ADCMPDTRIGSPINBOXDELEGATE_H
