#include "HrbStatus.h"

HrbStatistic &HrbStatistic::operator-=(const HrbStatistic &st){
    trigPass -= st.trigPass;
    trigBlock -= st.trigBlock;
    tsZeroMismatch -= st.tsZeroMismatch;
    ttcTrigSyncLoss -= st.ttcTrigSyncLoss;
    ttcTrigCodeError -= st.ttcTrigCodeError;
    ttcResetSyncLoss -= st.ttcResetSyncLoss;
    ttcResetCodeError -= st.ttcResetCodeError;
    busyTimeoutCnt -= st.busyTimeoutCnt;
    busyTimer -= st.busyTimer;
    idleTimer -= st.idleTimer;
    busyMStreamTimer -= st.busyMStreamTimer;
    idleMStreamTimer -= st.idleMStreamTimer;
    return *this;
}

HrbStatus &HrbStatus::operator-=(const HrbStatus &st){
    evNum -= st.evNum;
    spillNum -= st.spillNum;
    globEvNum -= st.globEvNum;
    statistic -= st.statistic;
    fifoSize -= st.fifoSize;
    return *this;
}
