#include "MpdTluMainWindow.h"
#include "app/DaqGuiApp.h"
#include "TrcApp.h"
#include "MpdTLuCore.h"

#include "base/app/RunGuard.h"
#include "base/Globals.h"
#include "mongo/PrintConfigMap.h"

int main(int argc, char *argv[])
{
    Globals::setDaqModuleType(DaqModule::Type::MpdTlu);
    DaqGuiApp daqApp(argc, argv);
    daqApp.init();

    if(daqApp.hasConfigListOpt())
        printConfigMap();

    RunGuard::runSingleOrExit();

    if(daqApp.isGuiApp()) {
        MpdTluMainWindow *mw(new MpdTluMainWindow);
        mw->show();
    }
    MpdTluCore core;

    return daqApp.exec();
}
