#ifndef MSCHISTVIEW_H
#define MSCHISTVIEW_H

#include <QTreeView>

class MscSpinBoxDelegate;

class MscHistView : public QTreeView
{
public:
    explicit MscHistView(QWidget *parent = nullptr);
    void setModel(QAbstractItemModel *model) override;

private slots:
    void onModelReset();

private:
    void addDelegate(const QModelIndex &parent = QModelIndex());

    MscSpinBoxDelegate * const sp_delegate;
};

#endif // MSCHISTVIEW_H
