#include "MscHistConfig.h"

#include <QDebug>
#include <QDataStream>

QString getMscHistDisplayName(const MscHistConfig &hist, int hId)
{
    if (!hist.contains(hId))
        return {};
    auto name = hist.value(hId).name.trimmed();
    return name.isEmpty()
        ? QString("#%1").arg(hId)
        : QString("#%1: %2").arg(hId).arg(name);
}
