#ifndef MSCHISTCONFIG_H
#define MSCHISTCONFIG_H

#include <QMap>
#include <QMetaType>

struct MscHistIdConfig
{
public:
    friend bool operator==(const MscHistIdConfig &, const MscHistIdConfig &) = default;

    QString name;
    bool enable = true;
    quint32 plotSlice = 1e3; // in microsec
};
Q_DECLARE_METATYPE(MscHistIdConfig)

using MscHistConfig = QMap<int, MscHistIdConfig>;
Q_DECLARE_METATYPE(MscHistConfig)

QString getMscHistDisplayName(const MscHistConfig &hist, int hId);

#endif // MSCHISTCONFIG_H
