#include "MStreamStatisticDialog.h"
#include "ui_MStreamStatisticDialog.h"

MStreamStatisticDialog::MStreamStatisticDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::MStreamStatisticDialog)
{
    ui->setupUi(this);

    connect(this, &MStreamStatisticDialog::stat_updated,
            ui->statisticOutput, &MStreamStatisticWidget::stat_updated);
    connect(this, &MStreamStatisticDialog::stat_from_receiver_updated,
            ui->statisticOutput, &MStreamStatisticWidget::stat_from_receiver_updated);
    connect(this, &MStreamStatisticDialog::set_run_state,
            ui->statisticOutput, &MStreamStatisticWidget::set_run_state);

}

MStreamStatisticDialog::~MStreamStatisticDialog()
{
    delete ui;
}

void MStreamStatisticDialog::setDeviceList(const DeviceIndexEnabledMap &new_devices)
{
    ui->statisticOutput->setDeviceList(new_devices);
}
